Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005134OCamlCamlp4public2010-08-23 16:342012-09-25 20:06
ReporterHendrik Tews 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005134: camlp4r differs from camlp4 -parser rp
DescriptionContrary to what the camlp4 wiki states camlp4r and camlp4 -parser rp are not equivalent: The former parses revised syntax while the latter parses original syntax with revised stream parser (which is an interesting mixture, by the way).

Fix: remove the pa_o in the line matching "rp" in Camlp4Bin.rewrite_and_load.
TagsNo tags attached.
Attached Files

- Relationships
related to 0005129closedxclerc camlp4of differs from camlp4 -parser of 
related to 0005071closedxclerc "camlp4 -parser r -parser rp" accept original syntax, not equivalent to camlp4r 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-08-23 16:34 Hendrik Tews New Issue
2010-08-23 16:34 Hendrik Tews Status new => assigned
2010-08-23 16:34 Hendrik Tews Assigned To => ertai
2011-02-15 14:59 xclerc Assigned To ertai => xclerc
2011-02-15 15:00 xclerc Relationship added related to 0005129
2011-02-15 15:13 xclerc Status assigned => resolved
2011-02-15 15:13 xclerc Fixed in Version => 3.12.1+dev
2011-02-15 15:13 xclerc Resolution open => fixed
2011-02-15 15:17 xclerc Relationship added related to 0005071
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker